JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinGDI.RGNDATAHEADER

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinGDI.RGNDATAHEADER

Enclosing interface:
  WinGDI

    public static class WinGDI.RGNDATAHEADER

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` | `dwSize`
`int` | `iType`
`int` | `nCount`
`int` | `nRgnSize`
`WinDef.RECT` | `rcBound`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinGDI.RGNDATAHEADER()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwSize

    public int dwSize

### iType

    public int iType

### nCount

    public int nCount

### nRgnSize

    public int nRgnSize

### rcBound

    public WinDef.RECT rcBound

Constructor Detail

### WinGDI.RGNDATAHEADER

    public WinGDI.RGNDATAHEADER()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.